Subject: WinAPI compiling
From: [email-masked] (Dave Smith)

8 Apr 1997 07:20:12 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <m0wEXyL-001uuhC.cygnus.gnu-win32@zeus>
X-Sender: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Original-To: [email-masked]
X-Mailer: <PC Eudora Version 1.4>
Original-Sender: [email-masked]

Hi, this is a repost of a question, as for some reason, the original
never came through... So if you've now read this twice, my appologies :)

I've read the faq, and tried browsing around to try and solve my
problem, but as of yet, havn't got an answer, and so I hope someone here
can help.

I'm trying to compile a Windows GUI based program, but GCC doesn't
like compiling it.
I've tried adding '-ssubsystem windows' to the command line (as is in
the FAQ), but GCC complains that :
GCC.EXE: windows: No such file or directory
GCC.EXE: unrecognized option '-ssubsystem'

And I then tried '--subsystem windows' and got

GCC.EXE: windows: No such file or directory
GCC.EXE: Invalid option '-fsubsystem'.

I tried taking these options out all together, but then it doesn't know
what lib's to use, and so i'm totally stuck... Can anyone please help me
out on what the gcc command line should read to happily compile and link
a native gui app?

  Cheers
    Dave

P.S.  Is there a doc file anywhere explaining what all the different
libs are for?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".